#ifndef LUNARLANDER_H
#define LUNARLANDER_H

#include <QMainWindow>
#include <QtNetwork/QNetworkAccessManager>
#include <QtNetwork/QNetworkReply>
#include <QByteArray>
#include <QMessageBox>
#include <QTimer>
#include "modul.h"
#include <QKeyEvent>

namespace Ui {
class LunarLander;
}

class LunarLander : public QMainWindow
{
    Q_OBJECT

public:
    explicit LunarLander(QWidget *parent = 0);
    ~LunarLander();
public slots:
    void replyFinished(QNetworkReply *rep);


private slots:
    void updateLanding();


    void on_pushButton_clicked();

    void on_pushButton_2_clicked();

    void on_pushButton_3_clicked();

    void on_pushButton_4_clicked();

private:
    Ui::LunarLander *ui;

    QGraphicsScene *scene;
    modul *lander;
    QGraphicsRectItem *pod;
    double podPosA;
    double podPosB;

    bool up;
    bool left;
    bool right;

    QTimer *timer;

    void startLanding();

    int iD;
    QString location;
protected:
    void keyPressEvent(QKeyEvent *event);
};

#endif // LUNARLANDER_H
